curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
Tasks
List Comments
List the internal comments on a task.
GET
/
api
/
v1
/
tasks
/
{task_id}
/
comments
curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
Comments are the task’s internal discussion, visible to people with access to the task. To reply to whoever requested the task instead, use the thread endpoint.
curl --location --request GET 'https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments' \
--header 'Authorization: Bearer YOUR_API_KEY'
const response = await fetch("https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments", {
method: "GET",
headers: {
Authorization: "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
});
const data = await response.json();
console.log(data);
import requests
url = "https://api.wordsmith.ai/api/v1/tasks/9f8e7d6c-5b4a-3210-9876-543210fedcba/comments"
headers = {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
}
response = requests.get(url, headers=headers)
print(response.json())
[
{
"id": "aaaa1111-bbbb-2222-cccc-333333333333",
"task_id": "9f8e7d6c-5b4a-3210-9876-543210fedcba",
"content": "Indemnity looks acceptable now.",
"author": {
"id": "11111111-2222-3333-4444-555555555555",
"name": "Jane Doe",
"email": "jane@example.com"
},
"parent_comment_id": null,
"mentioned_users": [],
"file_ids": [],
"created_at": "2025-12-31T01:00:00Z",
"updated_at": "2025-12-31T01:00:00Z"
}
]
⌘I